#pragma once
#include <X11/X.h>
#include <X11/Xlib.h>

#include <EGL/eglplatform.h>
#include "EGLState.h"
#include <EGL/eglext.h>

class XWindow
{
public:
	XWindow();

	void CreateWindow();
	const EGLState& GetState() const;

	Display& GetDisplay();
	Window& GetWindow();

private:
	Display* display;
	Window root;
	Window window;
	EGLState state;
};
